com.collabnet.ce.soap60.webservices.cemain

## Class ProjectSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ProjectSoapDO

-     public class ProjectSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  This class represents the data associated with a project.
  Change History
  Release: 4.1-SP2
  - Added constants for project access level.
  Release: 5.3
  - Added constants for template creation.
  Release: 6.1
  - Added Id of the parent project.
  - Added project hierarchy path.
  - Added lock status.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GATED_COMMUNITY` A gated community only allows unrestricted users and project members access.
    `static int` | `INCLUDE_ALL_CONTENT` Include content from all applications in templates.
    `static int` | `INCLUDE_DISCUSSIONS_CONTENT` Include topics and posts in templates.
    `static int` | `INCLUDE_DOCUMENTS_CONTENT` Include documents in templates.
    `static int` | `INCLUDE_FRS_CONTENT` Include release files in templates.
    `static int` | `INCLUDE_KANBAN_BOARD` Include Kanban Boards in templates (Supported from 17.8).
    `static int` | `INCLUDE_PLANNING_FOLDERS` Include planning folders in templates.
    `static int` | `INCLUDE_PROJECT_PAGES` Include project pages in templates.
    `static int` | `INCLUDE_REPORTS_CONTENT` Include reports in templates.
    `static int` | `INCLUDE_SAVED_SEARCHES` Include saved searches in templates.
    `static int` | `INCLUDE_TASK_BOARD` Include Task Board in templates (Supported from 17.8).
    `static int` | `INCLUDE_TASKS_CONTENT` Include tasks in templates.
    `static int` | `INCLUDE_TEAMS` Include teams in templates.
    `static int` | `INCLUDE_TRACKER_CONTENT` Include tracker content in templates.
    `static int` | `INCLUDE_WIKI_CONTENT` Include wiki pages in templates.
    `static int` | `PRIVATE` A private project only allows members access.
    `static int` | `PUBLIC` A public project allows all users access.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns 'description'.
    `String` | `getHierarchyPath()` Returns 'hierarchyPath'.
    `boolean` | `getLocked()` Returns 'locked'.
    `String` | `getParentProjectId()` Returns 'parentProjectId'.
    `String` | `getPath()` Returns 'path'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setHierarchyPath(String hierarchyPath)` Sets 'hierarchyPath'.
    `void` | `setLocked(boolean locked)` Sets 'locked'.
    `void` | `setParentProjectId(String parentProjectId)` Sets 'parentProjectId'.
    `void` | `setPath(String path)` Sets 'path'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLIC

          public static final int PUBLIC

      A public project allows all users access.
      See Also:
        Constant Field Values

    - #### GATED_COMMUNITY

          public static final int GATED_COMMUNITY

      A gated community only allows unrestricted users and project members access.
      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final int PRIVATE

      A private project only allows members access.
      See Also:
        Constant Field Values

    - #### INCLUDE_ALL_CONTENT

          public static final int INCLUDE_ALL_CONTENT

      Include content from all applications in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_TRACKER_CONTENT

          public static final int INCLUDE_TRACKER_CONTENT

      Include tracker content in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_DOCUMENTS_CONTENT

          public static final int INCLUDE_DOCUMENTS_CONTENT

      Include documents in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_TASKS_CONTENT

          public static final int INCLUDE_TASKS_CONTENT

      Include tasks in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_DISCUSSIONS_CONTENT

          public static final int INCLUDE_DISCUSSIONS_CONTENT

      Include topics and posts in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_REPORTS_CONTENT

          public static final int INCLUDE_REPORTS_CONTENT

      Include reports in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_FRS_CONTENT

          public static final int INCLUDE_FRS_CONTENT

      Include release files in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_WIKI_CONTENT

          public static final int INCLUDE_WIKI_CONTENT

      Include wiki pages in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_PROJECT_PAGES

          public static final int INCLUDE_PROJECT_PAGES

      Include project pages in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_SAVED_SEARCHES

          public static final int INCLUDE_SAVED_SEARCHES

      Include saved searches in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_PLANNING_FOLDERS

          public static final int INCLUDE_PLANNING_FOLDERS

      Include planning folders in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_TEAMS

          public static final int INCLUDE_TEAMS

      Include teams in templates.
      See Also:
        Constant Field Values

    - #### INCLUDE_KANBAN_BOARD

          public static final int INCLUDE_KANBAN_BOARD

      Include Kanban Boards in templates (Supported from 17.8).
      See Also:
        Constant Field Values

    - #### INCLUDE_TASK_BOARD

          public static final int INCLUDE_TASK_BOARD

      Include Task Board in templates (Supported from 17.8).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProjectSoapDO

          public ProjectSoapDO()

  - ### Method Detail

    - #### getPath

          public String getPath()

      Returns 'path'. The path of the project.
      Returns:
        Value of 'path'.

    - #### setPath

          public void setPath(String path)

      Sets 'path'. The path of the project.
      Parameters:
        `path` - Value of 'path'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the project.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the project.
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The detailed description of the project.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The detailed description of the project.
      Parameters:
        `description` - Value of 'description'.

    - #### getParentProjectId

          public String getParentProjectId()

      Returns 'parentProjectId'. Id of the primary parent project.
      Returns:
        Value of 'parentProjectId'.

    - #### setParentProjectId

          public void setParentProjectId(String parentProjectId)

      Sets 'parentProjectId'. Id of the primary parent project.
      Parameters:
        `parentProjectId` - Value of 'parentProjectId'.

    - #### getHierarchyPath

          public String getHierarchyPath()

      Returns 'hierarchyPath'. The complete hierarchy of the project
      Returns:
        Value of 'hierarchyPath'.

    - #### setHierarchyPath

          public void setHierarchyPath(String hierarchyPath)

      Sets 'hierarchyPath'. The complete hierarchy of the project
      Parameters:
        `hierarchyPath` - Value of 'hierarchyPath'.

    - #### getLocked

          public boolean getLocked()

      Returns 'locked'. The locked status of the project.
      Returns:
        Value of 'locked'.

    - #### setLocked

          public void setLocked(boolean locked)

      Sets 'locked'. The locked status of the project.
      Parameters:
        `locked` - Value of 'locked'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.